## pyinstaller 6.13.0+ds

=== bootloader/wscript ===
#!/usr/bin/env python3
# -----------------------------------------------------------------------------
# Copyright (c) 2014-2023, PyInstaller Development Team.
#
# Distributed under the terms of the GNU General Public License (version 2
# or later) with exception for distributing the bootloader.
#
# The full license is in the file COPYING.txt, distributed with this software.
#
# SPDX-License-Identifier: (GPL-2.0-or-later WITH Bootloader-exception)
# -----------------------------------------------------------------------------
"""
Bootloader building script.
"""

import os
import platform
import sys
import re
import sysconfig
from waflib.Configure import conf
from waflib import Logs, Utils, Options
from waflib.Build import BuildContext, InstallContext

# waf does not work unless it is ran from in this folder, so it is safe to assume the current working directory here.
sys.path.insert(0, os.path.realpath("../PyInstaller/"))
import _shared_with_waf  # noqa: E402

# The following two variables are used by the target "waf dist"
VERSION = 'nodist'
APPNAME = 'PyInstallerBootloader'

# These variables are mandatory ('/' are converted automatically)
top = '.'
out = 'build'

# Build variants of bootloader.
# PyInstaller provides debug/release bootloaders and console/windowed variants. Each variant has a different exe name.
variants = {
    'debug': 'run_d',
    'debugw': 'runw_d',
    'release': 'run',
    'releasew': 'runw',
}

# PyInstaller only knows platform.system(), so we need to map waf's DEST_OS to these values.
DESTOS_TO_SYSTEM = {
    'linux': 'Linux',
    'freebsd': 'FreeBSD',
    'openbsd': 'OpenBSD',
    'win32': 'Windows',
    'darwin': 'Darwin',
    'sunos': platform.system(),  # FIXME: inhibits cross-compile
    'hpux': 'HP-UX',
    'aix': 'AIX',
    'cygwin': 'Cygwin',
}

# Map from platform.system() to waf's DEST_OS
SYSTEM_TO_BUILDOS = {
    'Linux': 'linux',
    'FreeBSD': 'freebsd',
    'Windows': 'win32',
    'Darwin': 'darwin',
    'Solaris': 'sunos',
    'SunOS': 'sunos',
    'HP-UX': 'hpux',
    'AIX': 'aix',
    'Cygwin': 'cygwin',
}

# waf's name of the system we are building on
if sys.platform == 'cygwin':
    # Cygwin needs special handling, because platform.system() contains identifiers such as MSYS_NT-10.0-19042 and
    # CYGWIN_NT-10.0-19042 that do not fit PyInstaller's OS naming scheme, nor waf's DEST_OS, which is 'cygwin'.
    BUILD_OS = SYSTEM_TO_BUILDOS.get('Cygwin')
else:
    BUILD_OS = SYSTEM_TO_BUILDOS.get(platform.system(), platform.system())

is_cross = None


def machine(ctx):
    """
    Determine path to bootloader based on C compiler target.
    """
    return _shared_with_waf._pyi_machine(ctx.env.DEST_CPU, DESTOS_TO_SYSTEM[ctx.env.DEST_OS])


def is_msvc_target(ctx):
    """
    clang may be compiled to use either MSVC's headers or mingw's. If it's the former, it inherits some of MSVC's
    quirks.
    """
    if ctx.env.CC_NAME == 'clang':
        from subprocess import run, PIPE
        spec = run(ctx.env.CC + ["-v"], stderr=PIPE).stderr
        return re.search(rb'Target: .*msvc', spec)
    return ctx.env.CC_NAME == 'msvc'


@conf
def is_musl(ctx):
    """Return true if the C compiler targets Linux using musl libc. Always false on non-Linux."""
    if ctx.env.DEST_OS != 'linux':
        return False
    from subprocess import run, PIPE
    spec = run(ctx.env.CC + ["-v"], stderr=PIPE).stderr
    return re.search(rb'--target=\S+-musl', spec) or re.search(rb'Target: .*musl', spec)


def find_program_next_to_cc(ctx, name, var):
    # Tries to find a program in the same directory as cc or on the normal PATH.
    environ = getattr(ctx, 'environ', os.environ)
    path = [os.path.dirname(ctx.env.CC[0])]
    path.extend(environ.get('PATH', '').split(os.pathsep))
    ctx.find_program(name, var=var, path_list=path)


def options(ctx):
    ctx.load('compiler_c')

    ctx.add_option(
        '--debug',
        action='store_true',
        help='Include debugging info for GDB.',
        default=False,
        dest='debug',
    )
    ctx.add_option(
        '--clang',
        action='store_true',
        help='Try to find clang C compiler instead of gcc.',
        default=False,
        dest='clang',
    )
    ctx.add_option(
        '--gcc',
        action='store_true',
        help='Try to find GNU C compiler.',
        default=False,
        dest='gcc',
    )
    ctx.add_option(
        '--target-arch',
        action='store',
        help='Target architecture format (32bit, 64bit). This option allows to build 32-bit bootloader with a 64-bit '
        'compiler and a 64-bit Python.',
        default=None,
        choices=('32bit', '64bit', '64bit-arm'),
        dest='target_arch',
    )
    ctx.add_option(
        '--static-zlib',
        action='store_true',
        help='Statically compile zlib into the bootloaders rather than dynamically linking to the system-wide copy. '
        'This is always done on Windows.',
        default=False,
    )
    ctx.add_option(
        '--tests',
        action='store_true',
        help='Enable cmocka-based tests if cmocka library is found. The tests are disabled by default.',
        default=False,
        dest='enable_tests',
    )
    ctx.add_option(
        '--no-tests',
        action='store_false',
        help='Disable cmocka-based tests, even if cmocka library is found. The tests are disabled by default.',
        default=False,
        dest='enable_tests',
    )

    grp = ctx.add_option_group('macOS-specific options', 'These options have effect only on macOS.')
    grp.add_option(
        '--universal2',
        action='store_true',
        help='When building for 64-bit platform, build universal2 fat binary (x86_64, arm64). This is the default.',
        default=None,
        dest='macos_universal2',
    )
    grp.add_option(
        '--no-universal2',
        action='store_false',
        help="When building for 64-bit platform, build a thin binary. Allows building with older toolchains that do "
        "not support universal2 binaries. The resultant architecture is determined by the compiler's default, which "
        "is usually to build a native executable. This may be overridden by setting the CC environment variable, e.g., "
        "CC='clang -arch=arm64' python waf all",
        default=None,
        dest='macos_universal2',
    )


def check_sizeof_pointer(ctx):
    def check(type, expected):
        # test code taken from autoconf resp. Scons: this is a pretty clever hack to find that a type is of a given
        # size using only compilation. This speeds things up quite a bit compared to straightforward code actually
        # running the code. Plus: This works cross :-)
        fragment = '''
        int main() {
            static int test_array[1 - 2 * !(sizeof(%s) == %d)];
            test_array[0] = 0;
            return 0;
        }''' % (type, expected)
        return ctx.check_cc(fragment=fragment, execute=False, mandatory=False)

    ctx.start_msg("Checking size of pointer")
    for size in (4, 8):
        if check("void *", size):
            break
    else:
        ctx.end_msg(False)
        ctx.fatal(
            "Could not determine pointer size. Use `--target-arch' to manually set the pointer size (32bit or 64bit)."
        )
    ctx.end_msg(size)
    return size


@conf
def detect_arch(ctx):
    """
    Handle --target-arch options, or use the same architecture as the compiler.
    """
    try:
        system = DESTOS_TO_SYSTEM[ctx.env.DEST_OS]
    except KeyError:
        ctx.fatal('Unrecognized target system: %s' % ctx.env.DEST_OS)

    # Get arch values either from CLI or detect it.
    if ctx.options.target_arch:
        arch = ctx.options.target_arch
        ctx.msg('Platform', '%s-%s manually chosen' % (system, arch))
        ctx.env.ARCH_FLAGS_REQUIRED = True
        if arch == '64bit-arm':
            arch = '64bit'
            ctx.env.DEST_CPU = 'arm64'
    else:
        # PyInstaller uses the result of platform.architecture() to determine the bits and this is testing the pointer
        # size (via module struct). We do the same here.
        arch = "%sbit" % (8 * check_sizeof_pointer(ctx))
        _machine = machine(ctx)
        if _machine is not None:
            plat = '%s-%s-%s detected based on compiler' % (system, arch, _machine)
        else:
            plat = '%s-%s detected based on compiler' % (system, arch)
        ctx.msg('Platform', plat)
        ctx.env.ARCH_FLAGS_REQUIRED = False
    if arch not in ('32bit', '64bit'):
        ctx.fatal('Unrecognized target architecture: %s' % arch)

    # Pass return values as environment variables.
    ctx.env.PYI_ARCH = arch  # '32bit' or '64bit'
    ctx.env.PYI_SYSTEM = system


@conf
def set_arch_flags(ctx):
    """
    Set proper architecture flag (32-bit or 64-bit), cflags for compiler, and CPU target for compiler.
    """
    def check_arch_cflag(cflag32, cflag64):
        cflag = cflag32 if ctx.env.PYI_ARCH == '32bit' else cflag64
        # features='c' -> only compile, do not link
        if ctx.check_cc(cflags=cflag, features='c', mandatory=ctx.env.ARCH_FLAGS_REQUIRED):
            ctx.env.append_value('CFLAGS', cflag)
        if ctx.check_cc(linkflags=cflag, mandatory=ctx.env.ARCH_FLAGS_REQUIRED):
            ctx.env.append_value('LINKFLAGS', cflag)

    if ctx.env.DEST_OS == 'win32' and ctx.env.CC_NAME == 'msvc':
        # Set msvc linkflags based on architecture.
        if machine(ctx) == 'arm':
            ctx.env.append_value('LINKFLAGS', '/MACHINE:ARM64')
        elif ctx.env.PYI_ARCH == '32bit':
            ctx.env.append_value('LINKFLAGS', '/MACHINE:X86')
            # Set LARGE_ADDRESS_AWARE_FLAG to True. On Windows, this allows 32-bit apps to use 4GB of memory.
            ctx.env.append_value('LINKFLAGS', '/LARGEADDRESSAWARE')
        elif ctx.env.PYI_ARCH == '64bit':
            ctx.env.append_value('LINKFLAGS', '/MACHINE:X64')
        ctx.env['MSVC_TARGETS'] = _msvc_target(ctx)

        # Enable 64-bit porting warnings and other warnings.
        ctx.env.append_value('CFLAGS', '/W3')
        # Treat compiler warnings as errors.
        ctx.env.append_value('CFLAGS', '/WX')
        # Disable warnings about unrecognized pragmas.
        ctx.env.append_value('CFLAGS', '/wd4068')
        # Disable warnings about deprecated POSIX function names.
        ctx.env.append_value('CFLAGS', '/D_CRT_NONSTDC_NO_WARNINGS')
        # Disable warnings about unsafe CRT functions.
        ctx.env.append_value('CFLAGS', '/D_CRT_SECURE_NO_WARNINGS')
        # We use SEH exceptions in winmain.c; make sure they are activated.
        ctx.env.append_value('CFLAGS', '/EHa')
        # Set the PE checksum on resulting binary.
        ctx.env.append_value('LINKFLAGS', '/RELEASE')
        # Treat linker warnings as errors
        ctx.env.append_value('LINKFLAGS', '/WX')

    # Ensure proper architecture flags on macOS.
    elif ctx.env.DEST_OS == 'darwin':
        # Default compiler on macOS is Clang, which does not have '-m32' and '-m64' flags.
        if ctx.env.PYI_ARCH == '32bit':
            mac_arch = ['-arch', 'i386']
        else:
            UNIVERSAL2_FLAGS = ['-arch', 'x86_64', '-arch', 'arm64']
            if ctx.options.macos_universal2 in (None, True):
                # Check for universal2 support if set to auto-detect (neither --universal2 nor --no-universal2 is
                # provided), or if universal2 is explicitly enabled.
                supported = ctx.check_cc(
                    cflags=UNIVERSAL2_FLAGS,
                    linkflags=UNIVERSAL2_FLAGS,
                    features='c cprogram',
                    msg='Checking for universal2 support',
                    mandatory=ctx.options.macos_universal2
                )
                ctx.options.macos_universal2 = supported
            if ctx.options.macos_universal2:
                mac_arch = UNIVERSAL2_FLAGS
            else:
                # Default to whatever the compiler is configured to build.

## pyinstaller 5.13.0

=== debian/changelog ===
pyinstaller (5.13.0-0kali2) kali-experimental; urgency=medium

  * Disable other tests

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 20 Jul 2023 16:20:14 +0200

pyinstaller (5.13.0-0kali1) kali-experimental; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Update email address
  * Consistency with tabs to spaces
  * Add Uploaders

  [ Steev Klimaszewski ]
  * Update d/watch to fix uversionmangle

  [ Sophie Brun ]
  * New upstream version 5.13.0
  * Refresh patches
  * Update debian/copyright
  * Add missing build-dep python3-wheel

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 20 Jul 2023 14:44:11 +0200

pyinstaller (3.5-0kali2) kali-dev; urgency=medium

  * Remove Python 2 module

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Dec 2019 15:12:47 +0100

pyinstaller (3.5-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 3.5
  * Use debhelper-compat 12
  * Add python 3 module
  * Refresh patches
  * Run tests only in Python 3
  * Bump Standards-Version to 4.4.1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 03 Dec 2019 17:11:25 +0100

pyinstaller (3.1.1-0kali2) kali-dev; urgency=medium

  * debian/control: add Replaces and Conflicts to manage the upgrade from
    package pyinstaller to package python-pyinstaller

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 04 Mar 2016 20:18:44 +0100

pyinstaller (3.1.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release 
  * Drop package pyinstaller replaced by python-pyinstaller

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 08 Feb 2016 10:54:28 +0100

pyinstaller (3.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 22 Jan 2016 15:01:43 +0100

pyinstaller (2.0-1kali0) kali; urgency=low

  * Initial release (Closes: 0000487)  

 -- Devon Kearns <dookie@kali.org>  Mon, 12 Aug 2013 11:09:33 -0600

=== debian/control ===
Source: pyinstaller
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-pytest,
               python3-mock,
               python3-psutil,
               python3-altgraph,
               python3-tk,
	       python3-wheel,
               python3-lxml
Standards-Version: 4.4.1
Homepage: http://www.pyinstaller.org/
Vcs-Git: https://gitlab.com/kalilinux/packages/pyinstaller.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/pyinstaller

Package: python3-pyinstaller
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Recommends: ${python3:Recommends}
Provides: pyinstaller
Replaces: pyinstaller
Conflicts: pyinstaller (<< 3.1.1), python-pyinstaller
Suggests: ${python:Suggests}
XB-Python-Egg-Name: PyInstaller
Description: Converts (packages) Python programs into stand-alone executables.
 PyInstaller is a program that converts (packages) Python programs into stand-
 alone executables, under Windows, Linux, Mac OS X, Solaris and AIX. Its main 
 advantages over similar tools are that PyInstaller works with any version of 
 Python since 2.3, it builds smaller executables thanks to transparent 
 compression, it is fully multi-platform, and use the OS support to load the 
 dynamic libraries, thus ensuring full compatibility.
 .
 The main goal of PyInstaller is to be compatible with 3rd-party packages out
 -of-the-box. This means that, with PyInstaller, all the required tricks to make 
 external packages work are already integrated within PyInstaller itself so that 
 there is no user intervention required. You'll never be required to look for 
 tricks in wikis and apply custom modification to your files or your setup 
 scripts. As an example, libraries like PyQt, Django or matplotlib are fully 
 supported, without having to handle plugins or external data files manually.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyinstaller
export PYTHONPATH=$(CURDIR)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# Run only Python 3 tests: dis3 is required for Python2 but it's
	# not available and Python 2 module will be remove soon.
	LC_ALL=C.UTF-8 python3 -m pytest tests

override_dh_shlibdeps:
	dh_shlibdeps -X/bootloader/

override_dh_install:
	dh_install -XCOPYING -XREADME

=== debian/tests/control ===
Test-Command: debian/tests/basic-test.sh test_install_python3
Depends: @, python3-all
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=3
opts="uversionmangle=s/.dev/~dev/;s/-rc/~rc/, \
      filenamemangle=s/.*\/v?(.*)\.tar\.gz/pyinstaller-$1.tar.gz/" \
https://github.com/pyinstaller/pyinstaller/tags .*/v?(.*)\.tar\.gz

## pyinstaller 6.12.0+ds

=== debian/changelog ===
pyinstaller (6.12.0+ds-3) unstable; urgency=medium

  * debian/control:
    - Add build-depends on python3-setuptools.
    - Add depends on binutils and python3-dev for python3-pyinstaller.

 -- Soren Stoutner <soren@debian.org>  Sat, 08 Mar 2025 06:59:15 -0700

pyinstaller (6.12.0+ds-2) unstable; urgency=medium

  [ Soren Stoutner ]
  * debian/control:  Replace python3.12-dev with python3-all-dev.
  * debian/salsa-ci.yml:
    - Refactor on the currently recommended default settings.
    - Disable the blhc test, which fails with a false positive because of
      #976175.
  * debian/tests/control:
    - Replace python3.12-dev with python3-all-dev.
    - Remove duplicate python3-pytest entry.
    - Reorder depends alphabetically.

  [ Alexandre Detiste ]
  * Remove dependency on to-be-removed python3-lib2to3

 -- Soren Stoutner <soren@debian.org>  Thu, 13 Feb 2025 15:26:11 -0700

pyinstaller (6.12.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Remove build-depends on python3.13-dev (now that it is the default).
    - Add build-depends on "python3.12-dev <!nocheck>" (now that it is not the
      default).
  * debian/copyright:
    - Remove obsolete Linux-32bit-intel and Windows-32bit-intel files excluded.
    - Update upstream copyright date.
    - Update copyright date for myself.
  * debian/source/lintian-overrides:  Remove obsolete override.
  * debian/tests/control:
    - Remove depends on python3.13-dev (now that it is the default).
    - Add depends on python2.12-dev (now that it is not the default).

 -- Soren Stoutner <soren@debian.org>  Tue, 11 Feb 2025 11:50:59 -0700

pyinstaller (6.11.1+ds-1) unstable; urgency=medium

  * Initial release (closes: #1084906).

 -- Soren Stoutner <soren@debian.org>  Sat, 07 Dec 2024 10:36:45 -0700

=== debian/control ===
Source: pyinstaller
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Soren Stoutner <soren@debian.org>
# Many of the tests depend on pyinstaller-hooks-contrib, but that depends on PyInstaller.
# Disabling these packages deselects the tests.  They are left below in a commented fashion
# to make it easy to enable them once pyinstaller-hooks-contrib makes it into Debian.
#
# "pythonX.Y-dev <!nocheck>" is required for any version of Python that is not
# the default but is available in the repository.  A similar change must be
# made in debian/tests/control.
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
               zlib1g-dev,
               ghostscript <!nocheck>,
#               libkf6i18nlocaledata6 <!nocheck>,
#               locales <!nocheck>,
               python3-all-dev <!nocheck>,
               python3-altgraph <!nocheck>,
               python3-dev <!nocheck>,
               python3-django <!nocheck>,
               python3-elementpath <!nocheck>,
               python3-gevent <!nocheck>,
               python3-ipython <!nocheck>,
               python3-jinja2 <!nocheck>,
               python3-lxml <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-numpy <!nocheck>,
               python3-pandas <!nocheck>,
               python3-pil <!nocheck>,
               python3-pkg-resources <!nocheck>,
               python3-psutil <!nocheck>,
               python3-pygments <!nocheck>,
#               python3-pyqt5.qtmultimedia <!nocheck>,
#               python3-pyqt5.qtwebengine <!nocheck>,
#               python3-pyqt6.qtmultimedia <!nocheck>,
#               python3-pyqt6.qtqml <!nocheck>,
#               python3-pyqt6.qtwebengine <!nocheck>,
#               python3-pyside2.qtcore <!nocheck>,
#               python3-pyside2.qtmultimedia <!nocheck>,
#               python3-pyside2.qtnetwork <!nocheck>,
#               python3-pyside2.qtqml <!nocheck>,
#               python3-pyside2.qtquick <!nocheck>,
#               python3-pyside2.qtquickcontrols2 <!nocheck>,
#               python3-pyside2.qtquickwidgets <!nocheck>,
#               python3-pyside2.qtuitools <!nocheck>,
#               python3-pyside2.qtwebengine <!nocheck>,
#               python3-pyside2.qtwebenginewidgets <!nocheck>,
#               python3-pyside2.qtwidgets <!nocheck>,
               python3-pyside6.qtmultimedia <!nocheck>,
               python3-pyside6.qtnetwork <!nocheck>,
               python3-pyside6.qtquick3d <!nocheck>,
               python3-pyside6.qtquickcontrols2 <!nocheck>,
               python3-pyside6.qtquickwidgets <!nocheck>,
               python3-pyside6.qtuitools <!nocheck>,
               python3-pyside6.qtwebenginequick <!nocheck>,
               python3-pyside6.qtwebenginewidgets <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-xvfb <!nocheck>,
#               python3-pytzdata <!nocheck>,
               python3-requests <!nocheck>,
               python3-scapy <!nocheck>,
               python3-scipy <!nocheck>,
               python3-six <!nocheck>,
               python3-sphinx <!nocheck>,
               python3-sqlalchemy <!nocheck>,
               python3-tk <!nocheck>,
               python3-twisted <!nocheck>,
               python3-urllib3 <!nocheck>,
               python3-zeep <!nocheck>,
               python3-zope.interface <!nocheck>,
               qml6-module-qtqml-workerscript <!nocheck>,
               qml6-module-qtquick-controls <!nocheck>,
               qml6-module-qtquick-window <!nocheck>,
               qml6-module-qtwebengine <!nocheck>,
#               tzdata <!nocheck>,
               xmldiff <!nocheck>
Standards-Version: 4.7.0
Homepage: https://pyinstaller.org/en/stable/
Vcs-Git: https://salsa.debian.org/python-team/packages/pyinstaller.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyinstaller
Rules-Requires-Root: no

Package: pyinstaller
Architecture: any
Section: utils
Depends: python3-pyinstaller (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Utility to bundle a Python application into a single package
 PyInstaller reads a Python script written by you. It analyzes your code to
 discover every other module and library your script needs in order to execute.
 Then it collects copies of all those files and puts them with your script in a
 single folder, or optionally in a single executable file.
 .
 This package contains the executables.  It depends on 'python3-pyinstaller',
 which contains the Python modules.

Package: python3-pyinstaller
Architecture: any
# binutils and python3-dev are needed at runtime.  See <https://github.com/pyinstaller/pyinstaller-hooks-contrib/issues/873#issuecomment-2708297792>
Depends: binutils,
         python3-dev,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python modules to bundle a Python application into a single package
 PyInstaller reads a Python script written by you. It analyzes your code to
 discover every other module and library your script needs in order to execute.
 Then it collects copies of all those files and puts them with your script in a
 single folder, or optionally in a single executable file.
 .
 This package contains the Python modules.  The utility executables are
 contained in the 'pyinstaller' package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment below to enable verbose build messages.
#export DH_VERBOSE = 1

# Enable all build hardening flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Export the DPKG default build flags.
DPKG_EXPORT_BUILDFLAGS = 1

# Include the default build flags.  <https://wiki.debian.org/Hardening#dpkg-buildflags>
include /usr/share/dpkg/buildflags.mk

# Append the CPPFLAGS to the standard CFLAGS and CXXFLAGS variables, which is how CMake likes it.  <https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake>
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

# Enable the verbose waf build argument so that blhc can analyze the build flags.  waf is the system that builds the bootloader from C code.
export PYINSTALLER_BOOTLOADER_WAF_ARGS = --verbose

# Disable the tests that don't currently work.  It will be possible to reenable most/all of these once pyinstaller-hooks-contrib is packaged, but that depends on this package to be in Debian first.
# * TestFunctions.test_find_module requires modulegraph, which isn't currently packaged in Debian.  TODO:  Possibly.  Other modulegraph tests succeed.
# * test_user_preferred_locale fails with a locale error, possibly because the build environment might force a default locale.
# * test_pytz fails with a locale error, possibly because the build environment might force a default locale.
# * test_gevent fails because it depends on pyinstaller-hooks-contrib, which is not yet packaged.
# * test_zope_interface fails because it depends on pyinstaller-hooks-contrib, which is not yet packaged.
# * test_scapy3 fails with an import error.  It might be fixed once pyinstaller-hooks-contrib is packaged.
# * test_zeep fails because it requires an import from pyinstaller-hooks-contrib, which is not yet packaged.
# * test_Qt_QTranslate fails for a currently unknown reason (an assertion error).  It might be fixed when pyinstaller-hooks-contrib is packaged.
# * test_metadata_searching requires pyinstaller-hooks-contrib, which is not yet packaged.
# * test_scipy started failing recently for unknown reasons probably related to an updated of scipy or a related package.
export PYBUILD_TEST_ARGS=-k 'not test_find_module\
	and not test_metadata_searching\
	and not test_Qt_QTranslate\
	and not test_zeep\
	and not test_scapy3\
	and not test_zope_interface\
	and not test_gevent\
	and not test_user_preferred_locale\
	and not test_pytz\
	and not test_scipy'

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	# Remove the unnecessary library README file.
	rm debian/tmp/usr/lib/python3*/dist-packages/PyInstaller/lib/README.rst

=== debian/tests/control ===
Test-Command: for p in $(py3versions -s); do $p -m pytest tests -k
    'not test_find_module
    and not test_metadata_searching
    and not test_Qt_QTranslate
    and not test_zeep
    and not test_scapy3
    and not test_zope_interface
    and not test_gevent
    and not test_user_preferred_locale
    and not test_pytz
    and not test_scipy'; done
Depends: ghostscript,
         pyinstaller,
         python3-all-dev,
         python3-altgraph,
         python3-dev,
         python3-django,
         python3-elementpath,
         python3-gevent,
         python3-ipython,
         python3-jinja2,
         python3-lxml,
         python3-matplotlib,
         python3-numpy,
         python3-pandas,
         python3-pil,
         python3-pkg-resources,
         python3-psutil,
         python3-pygments,
         python3-pyside6.qtmultimedia,
         python3-pyside6.qtnetwork,
         python3-pyside6.qtquick3d,
         python3-pyside6.qtquickcontrols2,
         python3-pyside6.qtquickwidgets,
         python3-pyside6.qtuitools,
         python3-pyside6.qtwebenginequick,
         python3-pyside6.qtwebenginewidgets,
         python3-pytest,
         python3-pytest-xvfb,
         python3-requests,
         python3-scapy,
         python3-scipy,
         python3-six,
         python3-sphinx,
         python3-sqlalchemy,
         python3-tk,
         python3-twisted,
         python3-urllib3,
         python3-zeep,
         python3-zope.interface,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-window,
         qml6-module-qtwebengine,
         xmldiff
# `build-needed` causes the bootloader to be generated, which is required by the tests.
# For some reason, the tests can't find the bootloader installed into the package location.
Restrictions: build-needed

## pyinstaller 6.13.0%2Bds

=== debian/changelog ===
pyinstaller (6.13.0+ds-2) unstable; urgency=medium

  * debian/tests/upstream-tests:  Update the bootloader copy command to work on
    all architectures.

 -- Soren Stoutner <soren@debian.org>  Mon, 28 Apr 2025 17:49:03 -0700

pyinstaller (6.13.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/tests/upstream-tests to copy the compiled bootloader to the
    autopkgtest directory.
  * debian/control:
    - Enable the scipy test, which was fixed upstream with this release.
    - Bump standards version from 4.7.0 to 4.7.2, no changes needed.
  * debian/copyright:
    - Update for upstream release.
    - Update copyright for debian/salsa-ci.yml to be the same as the rest of
      the debian/* stanza.
    - Remove now unused FSFAP license.
  * debian/gbp.conf:  Enforce signing of tags.
  * debian/source/lintian-overrides:  Disable info tags about distutils that
    don't seem to cause any problems.
  * debian/tests/control:  Refactor autopkgtest to not require building the
    package.
  * debian/upstream/metadata:  Update changelog URL.

 -- Soren Stoutner <soren@debian.org>  Sat, 26 Apr 2025 20:10:52 -0700

## pyinstaller 6.13.0+ds

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,6 @@
 # Many of the tests depend on pyinstaller-hooks-contrib, but that depends on PyInstaller.
 # Disabling these packages deselects the tests.  They are left below in a commented fashion
 # to make it easy to enable them once pyinstaller-hooks-contrib makes it into Debian.
-#
-# "pythonX.Y-dev <!nocheck>" is required for any version of Python that is not
-# the default but is available in the repository.  A similar change must be
-# made in debian/tests/control.
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                pybuild-plugin-pyproject,
@@ -79,11 +75,11 @@
                qml6-module-qtwebengine <!nocheck>,
 #               tzdata <!nocheck>,
                xmldiff <!nocheck>
-Standards-Version: 4.7.0
 Homepage: https://pyinstaller.org/en/stable/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyinstaller.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyinstaller
 Rules-Requires-Root: no
+Standards-Version: 4.7.2
 
 Package: pyinstaller
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,6 @@
 # * test_zeep fails because it requires an import from pyinstaller-hooks-contrib, which is not yet packaged.
 # * test_Qt_QTranslate fails for a currently unknown reason (an assertion error).  It might be fixed when pyinstaller-hooks-contrib is packaged.
 # * test_metadata_searching requires pyinstaller-hooks-contrib, which is not yet packaged.
-# * test_scipy started failing recently for unknown reasons probably related to an updated of scipy or a related package.
 export PYBUILD_TEST_ARGS=-k 'not test_find_module\
 	and not test_metadata_searching\
 	and not test_Qt_QTranslate\
@@ -38,8 +37,7 @@
 	and not test_zope_interface\
 	and not test_gevent\
 	and not test_user_preferred_locale\
-	and not test_pytz\
-	and not test_scipy'
+	and not test_pytz'
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -1,14 +1,4 @@
-Test-Command: for p in $(py3versions -s); do $p -m pytest tests -k
-    'not test_find_module
-    and not test_metadata_searching
-    and not test_Qt_QTranslate
-    and not test_zeep
-    and not test_scapy3
-    and not test_zope_interface
-    and not test_gevent
-    and not test_user_preferred_locale
-    and not test_pytz
-    and not test_scipy'; done
+Tests: upstream-tests
 Depends: ghostscript,
          pyinstaller,
          python3-all-dev,
@@ -53,6 +43,3 @@
          qml6-module-qtquick-window,
          qml6-module-qtwebengine,
          xmldiff
-# `build-needed` causes the bootloader to be generated, which is required by the tests.
-# For some reason, the tests can't find the bootloader installed into the package location.
-Restrictions: build-needed

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto \
    https://github.com/pyinstaller/pyinstaller/tags .*/v?(\d.*)@ARCHIVE_EXT@

## pyinstaller 6.14.1+ds

=== debian/changelog ===
pyinstaller (6.14.1+ds-1) experimental; urgency=medium

  * New upstream release.
  * Add debian/lrc.config.
  * debian/control:
    - Switch the pyinstaller binary package from "Architecture: any" to
      "Architecture: all" as the executables are all Python scripts.
    - Make pyinstaller depend on "python3-pyinstaller (>= ${source:Version})",
      allowing binMNUs of an "Architecture: any" package depended on by an
      "Architecture: all" package.
    - Remove obsolete "Rules-Requires-Root: no".
  * debian/source/lintian-overrides:  Update line numbers for stlib overrides.

 -- Soren Stoutner <soren@debian.org>  Wed, 11 Jun 2025 13:51:09 -0700

=== debian/control ===
--- 
+++ 
@@ -78,13 +78,12 @@
 Homepage: https://pyinstaller.org/en/stable/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyinstaller.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyinstaller
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 
 Package: pyinstaller
-Architecture: any
+Architecture: all
 Section: utils
-Depends: python3-pyinstaller (= ${binary:Version}),
+Depends: python3-pyinstaller (>= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -98,6 +97,7 @@
  which contains the Python modules.
 
 Package: python3-pyinstaller
+# The architecture needs to be any because of the compiled bootloader.
 Architecture: any
 # binutils and python3-dev are needed at runtime.  See <https://github.com/pyinstaller/pyinstaller-hooks-contrib/issues/873#issuecomment-2708297792>
 Depends: binutils,

## pyinstaller 6.14.2+ds

=== debian/changelog ===
pyinstaller (6.14.2+ds-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules:  Remove the redundant appending of CPPFLAGS to CFLAGS and
    CXXFLAGS.

 -- Soren Stoutner <soren@debian.org>  Fri, 11 Jul 2025 09:09:13 -0700

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,6 @@
 
 # Include the default build flags.  <https://wiki.debian.org/Hardening#dpkg-buildflags>
 include /usr/share/dpkg/buildflags.mk
-
-# Append the CPPFLAGS to the standard CFLAGS and CXXFLAGS variables, which is how CMake likes it.  <https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake>
-CFLAGS += $(CPPFLAGS)
-CXXFLAGS += $(CPPFLAGS)
 
 # Enable the verbose waf build argument so that blhc can analyze the build flags.  waf is the system that builds the bootloader from C code.
 export PYINSTALLER_BOOTLOADER_WAF_ARGS = --verbose

## pyinstaller 6.15.0+ds

=== bootloader/wscript ===
--- 
+++ 
@@ -107,14 +107,6 @@
     from subprocess import run, PIPE
     spec = run(ctx.env.CC + ["-v"], stderr=PIPE).stderr
     return re.search(rb'--target=\S+-musl', spec) or re.search(rb'Target: .*musl', spec)
-
-
-def find_program_next_to_cc(ctx, name, var):
-    # Tries to find a program in the same directory as cc or on the normal PATH.
-    environ = getattr(ctx, 'environ', os.environ)
-    path = [os.path.dirname(ctx.env.CC[0])]
-    path.extend(environ.get('PATH', '').split(os.pathsep))
-    ctx.find_program(name, var=var, path_list=path)
 
 
 def options(ctx):
@@ -319,3 +311,13 @@
                 mac_arch = UNIVERSAL2_FLAGS
             else:
                 # Default to whatever the compiler is configured to build.
+                mac_arch = []
+        ctx.env.append_value('CFLAGS', mac_arch)
+        ctx.env.append_value('LINKFLAGS', mac_arch)
+
+    # AIX specific flags
+    elif ctx.env.DEST_OS == 'aix':
+        if ctx.env.CC_NAME == 'gcc':
+            check_arch_cflag('-maix32', '-maix64')
+        else:
+            # We are using AIX/xlc compiler

=== debian/changelog ===
pyinstaller (6.15.0+ds-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Soren Stoutner <soren@debian.org>  Tue, 02 Sep 2025 08:38:53 -0700

pyinstaller (6.15.0+ds-1) unstable; urgency=medium

  * New upstream release.

  [ Soren Stoutner ]
  * debian/changelog:  Add Alexandre Detiste to the "Files: debian/*" stanza of
    debian/changelog.
  * debian/control:
    - Add Build-Depends on "pyinstaller-hooks-contrib <!nocheck>".
    - Add build dependencies to enable a number of tests that were waiting on
      pyinstaller-hooks-contrib.
    - Add Recommends on pyinstaller-hooks-contrib for python3-pyinstaller.
  * debian/lrc:  Add entries for new upstream release.
  * debian/tests/control:
    - Add dependencies to enable tests that were waiting on
      pyinstaller-hooks-contrib.
    - Remove the exclusion of test_metadata_searching and test_zeep.
  * debian/rules:  Remove the exclusion of test_metadata_searching and
    test_zeep.

  [ Alexandre Detiste ]
  * debian/tests/control:  Remove unneeded depends on python3-pkg-resources.

 -- Soren Stoutner <soren@debian.org>  Tue, 19 Aug 2025 18:26:09 -0700

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,8 @@
                ghostscript <!nocheck>,
 #               libkf6i18nlocaledata6 <!nocheck>,
 #               locales <!nocheck>,
+               pyinstaller-hooks-contrib <!nocheck>,
+               pyqt6-dev-tools <!nocheck>,
                python3-all-dev <!nocheck>,
                python3-altgraph <!nocheck>,
                python3-dev <!nocheck>,
@@ -32,21 +34,23 @@
                python3-psutil <!nocheck>,
                python3-pygments <!nocheck>,
 #               python3-pyqt5.qtmultimedia <!nocheck>,
+#               python3-pyqt5.qtquick <!nocheck>,
 #               python3-pyqt5.qtwebengine <!nocheck>,
-#               python3-pyqt6.qtmultimedia <!nocheck>,
-#               python3-pyqt6.qtqml <!nocheck>,
-#               python3-pyqt6.qtwebengine <!nocheck>,
-#               python3-pyside2.qtcore <!nocheck>,
-#               python3-pyside2.qtmultimedia <!nocheck>,
-#               python3-pyside2.qtnetwork <!nocheck>,
-#               python3-pyside2.qtqml <!nocheck>,
-#               python3-pyside2.qtquick <!nocheck>,
+               python3-pyqt6.qtmultimedia <!nocheck>,
+               python3-pyqt6.qtqml <!nocheck>,
+               python3-pyqt6.qtquick <!nocheck>,
+               python3-pyqt6.qtwebengine <!nocheck>,
+               python3-pyside2.qtcore <!nocheck>,
+               python3-pyside2.qtmultimedia <!nocheck>,
+               python3-pyside2.qtnetwork <!nocheck>,
+               python3-pyside2.qtqml <!nocheck>,
+               python3-pyside2.qtquick <!nocheck>,
 #               python3-pyside2.qtquickcontrols2 <!nocheck>,
 #               python3-pyside2.qtquickwidgets <!nocheck>,
-#               python3-pyside2.qtuitools <!nocheck>,
-#               python3-pyside2.qtwebengine <!nocheck>,
-#               python3-pyside2.qtwebenginewidgets <!nocheck>,
-#               python3-pyside2.qtwidgets <!nocheck>,
+               python3-pyside2.qtuitools <!nocheck>,
+               python3-pyside2.qtwebengine <!nocheck>,
+               python3-pyside2.qtwebenginewidgets <!nocheck>,
+               python3-pyside2.qtwidgets <!nocheck>,
                python3-pyside6.qtmultimedia <!nocheck>,
                python3-pyside6.qtnetwork <!nocheck>,
                python3-pyside6.qtquick3d <!nocheck>,
@@ -105,6 +109,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
+Recommends: pyinstaller-hooks-contrib
 Description: Python modules to bundle a Python application into a single package
  PyInstaller reads a Python script written by you. It analyzes your code to
  discover every other module and library your script needs in order to execute.

## pyinstaller 6.16.0%2Bds

=== debian/changelog ===
pyinstaller (6.16.0+ds-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Soren Stoutner <soren@debian.org>  Tue, 14 Oct 2025 17:21:30 -0700

pyinstaller (6.16.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/patches/fix-pyteste-xvfb.patch (closes: #1116566).
  * debian/source/lintian-overrides:  Remove two obsolete overrides fixed
    upstream.
  * debian/tests/control:
    - Remove depends on pyinstaller, pyinstaller-hooks-contrib, and
      python3-altgraph.
    - Add depends on @.
    - Add Depends on the following packages to enable the PyQt5 tests:
      - python3-pyqt5.qtmultimedia
      - python3-pyqt5.qtquick
      - python3-pyqt5.qtwebengine
      - qml-module-qtquick-controls
      - qml-module-qtquick-controls2
      - qml-module-qtwebengine
  * debian/control:
    - Add Build-Depends on python3-hatchling (required for the new upstream
      release).
    - Add Build-Depends <!nocheck> on the following packages to enable the PyQt5
      tests:
      - python3-pyqt5.qtmultimedia
      - python3-pyqt5.qtquick
      - python3-pyqt5.qtwebengine
      - qml-module-qtquick-controls
      - qml-module-qtquick-controls2
      - qml-module-qtwebengine
  * debian/lrc.config:  Update for false detections of new files.
  * debian/watch:  Update to version 5.

 -- Soren Stoutner <soren@debian.org>  Fri, 03 Oct 2025 17:09:40 -0700
